#include <bits/stdc++.h>

using namespace std;

int main()
{   long long n; cin >> n;
    long long k; cin >> k;
    long long a;
    queue<long long> spil;
    for(long long i = 0; i<n; i++){
        cin >> a;
        spil.push(a);
    }
    int x = spil.front();

    while(k!=spil.front()){
        spil.pop();
    }
    if(spil.size() > 1){
        spil.pop();
        cout << spil.front();}
    else cout << x;
    return 0;
}